Bug 441881 - gv, ghostview, and evince do not render fill patterns in PostScript
gv, ghostview, and evince do not render fill patterns in PostScript
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F7Update
  Show dependency treegraph
 
Reported: 2008-04-10 13:12 EDT by Mark Alford
Modified: 2008-06-16 23:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 23:05:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PostScript file containing filled object (3.37 KB, text/plain)
2008-04-10 13:15 EDT, Mark Alford
no flags Details
PDF file created from eps file, containing filled object (1.25 KB, text/plain)
2008-04-10 13:15 EDT, Mark Alford
no flags Details

  None (edit)
Description Mark Alford 2008-04-10 13:12:44 EDT
gv and ghostview and evince do not render fill patterns in PostScript

This occurs with gv-3.6.2-2.fc7 and evince-0.8.2-1.fc7

It is 100% reproducible.

1) Create .eps file containing an onject with a fill pattern inside it
(see attached example)
2) Look at the file with gv or evince. No fill pattern is seen
3) Convert the file to pdf using ps2pdf (see attached example)
4) Look at the PDF file with gv. Still no fill pattern is seen.
5) Look at the PDF file with evince or acroread: fill pattern *is* seen,
indicating that it is there in the PDF and was there in the .eps file all along.
Comment 1 Mark Alford 2008-04-10 13:15:06 EDT
Created attachment 302026 [details]
PostScript file containing filled object
Comment 2 Mark Alford 2008-04-10 13:15:51 EDT
Created attachment 302027 [details]
PDF file created from eps file, containing filled object
Comment 3 Orion Poplawski 2008-04-11 12:29:43 EDT
gv uses ghostscript to render.  Command is:
gs -sDEVICE=x11 -dTextAlphaBits=4 -dGraphicsAlphaBits=2 -dMaxBitmap=10000000
-dNOPLATFONTS -dNOPAUSE -dQUIET -dSAFER -dFIXEDMEDIA test_fill.eps

Running on F7 does not show fill pattern.  F8 does.  I'm re-assigning to
ghostscript.

I have no idea what evince uses to render.  If it doesn't use gs, of if it
doesn't turn out to be a common problem, you'll want to clone this bug for
evince as well.
Comment 4 Mark Alford 2008-04-11 13:27:55 EDT
evince uses libspectre or ghostscript, see
http://live.gnome.org/Evince/SupportedDocumentFormats

under F7 I think it uses ghostscript, since libspectre is not installed.
Seems clear this is a ghostscript problem.
Comment 5 Bug Zapper 2008-05-14 11:25:39 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 23:05:35 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.